# bash completion for rpmcheck

have rpmcheck &&
_rpmcheck()
{
    local cur prev

    COMPREPLY=()
    cur=`_get_cword`
    prev=${COMP_WORDS[COMP_CWORD-1]}

    case $prev in
        -base)
            _filedir
            return 0
            ;;
    esac

    if [[ "$cur" == -* ]]; then
        COMPREPLY=( $( compgen -W '-explain -failures -successes \
            -dump -dump-all -base -help -compressed-input' -- "$cur" ) )
    else
        _filedir
    fi
} &&
complete -F _rpmcheck rpmcheck $files

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
